//@import "~breakpoint-sass/stylesheets/breakpoint";
//@import "./breakpoints";

.btn {
  @include font-archer-medium;
  @include font-size(16);
  border: 1px solid $border-color;
  text-align: center;
  border-radius: 40px;
  display: inline-block;
  padding: 1.4rem 1rem;
  font-weight: 600;

  @include breakpoint($large) {
    @include font-size(18);
  }

  &.btn--slim {
    padding: 0.8rem 1rem;
  }


  &.btn--slim-mobile {
    padding: 0.8rem 1rem;
    @include breakpoint($large) {
      padding: 1.4rem 1rem;
    }
  }

  &.btn--green {
    @include gradient-directional(
      $color-accessibleGreen,
      $gradient-clover-end,
      160deg
    );
    color: #fff;
    font-weight: 400;
  }

  &.btn--withIcon {
    display: flex;
    align-items: center;
    padding: 0.4rem 0.4rem 0.4rem 2rem;

    white-space: nowrap;

    .text {
    }

    .icon-wrap {
      background: #fff;
      border-radius: 100%;
      margin-left: 2.5rem;
      padding: 0.2rem;
      height: 50px;
      width: 50px;
      position: relative;
      flex: 0 0 50px;

      img {
        position: absolute;
        top: 51%;
        left: 50%;
        width: 30px;
        height: 30px;
        transform: translateX(-50%) translateY(-50%);
      }
    }
  }

  
  &.btn--super-slim {
    font-size:15px;
    padding: 0.6rem 1rem;
    text-align: left;

    &.btn--withIcon {
      padding-left:3em;
      position: relative;
      

      img {
        position: absolute;
        left:1em;
        top:50%;
        margin-top:-11px;
      }
    }
  }
}
